For Developers

Update Link

PATCH https://ed.link/api/v2/teams/:team_id/sources/:source_id/links/:link_id

Modifies link configuration settings and schedules re-enrichment.

Permissions

Requires the links.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the primary source.
:link_idUUIDYesThe ID of the link.

Request Body

PropertyTypeRequiredDescription
priorityNumberNoPriority ordering value.
propertiesObjectNoLink configuration options.
scheduler_throttle_delayNumberNoThrottle delay in seconds.
permissionsArrayNoScoped permission IDs.

Sample Request

const response = await axios.patch(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/links/${link_id}`,
    {
        priority: 2
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`,
            'content-type': 'application/json'
        }
    }
);

Sample Response

{
    "$data": {
        "id": "d132a0c4-954f-4d32-8ea7-a36c93427db9",
        "priority": 2,
        "updated_date": "2024-06-21T15:00:00.000Z"
    }
}